Bug 112943 - Colour dropdrown lists are displayed for a fraction of second (gtk3) (ambiance, radiance theme)
Summary: Colour dropdrown lists are displayed for a fraction of second (gtk3) (ambianc...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 Regressions-serie-commits
  Show dependency treegraph
 
Reported: 2017-10-06 16:42 UTC by Xisco Faulí
Modified: 2017-11-17 14:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-06 16:42:07 UTC
Steps to reproduce:
1. Open writer
2. Go to Tools - options - Application colols
3. Click on the dropwdown colour lists

Observed behaviour: they are displayed for a fraction of second only

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 34f4446b0a5e04465216ff4ec2547aa82e0f06c2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 6.0.0.0.alpha0+
Build ID: 34f4446b0a5e04465216ff4ec2547aa82e0f06c2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-10-06 16:45:01 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-11-05 20:28:27 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-07 21:04:50 (GMT)
commit	64a708cba9b954afe3331f63c58218eb53b3d0ce (patch)
tree	ddc1bea3b63f32a1c6d377c1d1dd7aee0803fb70
parent	f01c49c4a89ecad2376fd0023625186e5cac642e (diff)
Revert "Reverts a commit series that cripple windows ci."
with addition of...

- svxlo-SvxColorListBox
+ svxcorelo-SvxColorListBox

This reverts commit db380aab1063e8a5e40111c40ee9f7921aa82601.

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2017-10-17 08:47:17 UTC
This doesn't happen for me. I rather suspect its an issue around the version of gtk3 LibreOffice is built against vs the one its deployed against, so where do you get your build you test with ? and what is the version of gtk3 on the box you test on ?
Comment 3 Xisco Faulí 2017-11-17 10:45:26 UTC
More info here:

GTK3 version: libgtk-3-0:amd 3.22.11-0ubu

Only reproducible with Ambiance or Radiance themes but not with Adwaita theme.

I don't reproduce the issue if i click on the Scheme dropdown button first and then I click on any popup. Changes to another option and coming back to Application colors make the issue reappear
Comment 4 Caolán McNamara 2017-11-17 13:07:17 UTC
I think the theme has bold vs non-bold in the titlebar depending on whether the window has the focus and the launch of the popup removes the focus, which triggers a size change for the window and propagates a size change to the container libreoffice window which close-popups if a window resize is received, even if the container doesn't actually change size
Comment 5 Commit Notification 2017-11-17 14:03:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff8722507473328e811cdcd6293f091afe6aa7d3

Resolves: tdf#112943 don't close popups on resize if size didn't change

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2017-11-17 14:05:27 UTC
backport to 5-4 in gerrit
Comment 7 Commit Notification 2017-11-17 14:35:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0527cf1105ca1e58d8ae510d7ff6ae870743771&h=libreoffice-5-4

Resolves: tdf#112943 don't close popups on resize if size didn't change

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.